#
# spec file for package python-tzlocal
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname tzlocal
Name:           python-%{modname}
Version:        1.1.3
Release:        6.3
Summary:        Provides tzinfo object for the local timezone
License:        CC0-1.0
Group:          Development/Libraries/Python
Url:            https://github.com/regebro/%{modname}
Source:         http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-pytz
BuildRequires:  python-setuptools
Requires:       python-pytz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
This Python module returns a tzinfo object with the local timezone information
under Unix and Win-32. It requires pytz, and returns pytz tzinfo objects.

This module attempts to fix a glaring hole in pytz, that there is no way to get
the local timezone information, unless you know the zoneinfo name, and under
several Linux distros that’s hard or impossible to figure out.

Also, with Windows different timezone system using pytz isn’t of much use unless
you separately configure the zoneinfo timezone name.

With tzlocal you only need to call get_localzone() and you will get a tzinfo
object with the local time zone info. On some Unices you will still not get to
know what the timezone name is, but you don’t need that when you have the tzinfo
file. However, if the timezone name is readily available it will be used.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root)
%doc README.rst MANIFEST.in LICENSE.txt CHANGES.txt PKG-INFO
%{python_sitelib}/%{modname}
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info

%changelog
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Tue Jun  9 2015 jkeil@suse.de
- Reworked spec file
  * Bump version
  * Use github upstream url
  * Improve description and summary
  * Use tarball instead of zip
  * Minimize %%files section
* Thu Nov  6 2014 seiler@b1-systems.de
- corrected license
- added check section with python test
* Thu Nov  6 2014 seiler@b1-systems.de
- added required pytz dependency
- enhanced truncated description and add URL to source
* Wed Nov  5 2014 seiler@b1-systems.de
- inital commit
